summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Bojan Popovic2013-02-23 20:41:19 +0100
committer Robby Workman2013-02-23 20:41:19 +0100
commit2d5b8a5e3a5ecdb0253a40eba143d5d7576098bd (patch)
tree9e00083e0eb6b2032701c0fa4c17be55f59581cc /desktop
parentc8a8350369d89d9b6e27562ad759f225c2555814 (diff)
downloadslackbuilds-2d5b8a5e3a5ecdb0253a40eba143d5d7576098bd.tar.gz
desktop/trayer-srg: Added (GTK2-based systray for UNIX desktop)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/trayer-srg/README7
-rw-r--r--desktop/trayer-srg/slack-desc19
-rw-r--r--desktop/trayer-srg/trayer-srg.SlackBuild92
-rw-r--r--desktop/trayer-srg/trayer-srg.info10
4 files changed, 128 insertions, 0 deletions
diff --git a/desktop/trayer-srg/README b/desktop/trayer-srg/README
new file mode 100644
index 0000000000..1557a266ff
--- /dev/null
+++ b/desktop/trayer-srg/README
@@ -0,0 +1,7 @@
+trayer is a small program designed to provide systray functionality
+present in GNOME/KDE desktop environments for window managers which
+do not support that function. It's similar to other applications
+such as 'peksystray' and 'docker'.
+
+trayer-srg was forked from trayer in 2010 to add some fancy features
+and clean up code.
diff --git a/desktop/trayer-srg/slack-desc b/desktop/trayer-srg/slack-desc
new file mode 100644
index 0000000000..64d218bd03
--- /dev/null
+++ b/desktop/trayer-srg/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+trayer-srg: trayer-srg (GTK2-based systray for UNIX desktop)
+trayer-srg:
+trayer-srg: trayer is a small program designed to provide systray functionality
+trayer-srg: present in GNOME/KDE desktop environments for window managers which
+trayer-srg: do not support that function.
+trayer-srg:
+trayer-srg: trayer-srg was forked from trayer in 2010 to add some fancy features
+trayer-srg: and clean up code.
+trayer-srg:
+trayer-srg: Homepage: https://github.com/sargon/trayer-srg
+trayer-srg:
diff --git a/desktop/trayer-srg/trayer-srg.SlackBuild b/desktop/trayer-srg/trayer-srg.SlackBuild
new file mode 100644
index 0000000000..3dedf3dace
--- /dev/null
+++ b/desktop/trayer-srg/trayer-srg.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for trayer-srg
+
+# Copyright 2013 Bojan Popovic Belgrade Serbia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=trayer-srg
+VERSION=${VERSION:-git_r3478b35}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ];then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ];then
+ SLKCFLAGS="-02 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" make # This will also strip the executable
+
+# Instead of patching the Makefile, let's install it manually:
+mkdir -p $PKG/usr/bin
+install -m 0755 trayer $PKG/usr/bin
+
+mkdir -p $PKG/usr/man/man1
+gzip -c man/trayer.1 > $PKG/usr/man/man1/trayer.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGELOG COPYING CREDITS INSTALL README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/trayer-srg/trayer-srg.info b/desktop/trayer-srg/trayer-srg.info
new file mode 100644
index 0000000000..9aee324407
--- /dev/null
+++ b/desktop/trayer-srg/trayer-srg.info
@@ -0,0 +1,10 @@
+PRGNAM="trayer-srg"
+VERSION="git_r3478b35"
+HOMEPAGE="https://github.com/sargon/trayer-srg"
+DOWNLOAD="http://bocke.na.rs/distfiles/trayer-srg-git_r3478b35.tar.xz"
+MD5SUM="29bb17a391d52d2dbbcacdda1acb6a38"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Bojan Popovic"
+EMAIL="bocke@slackware-srbija.org"